[Overview][Types][Classes][Variables][Index] | Reference for unit 'LCLClasses' (#lcl)

# TLCLComponent.RemoveAllHandlersOfObject

Override this method to remove all references to notification handlers in AnObject.

## Declaration

Source position: lclclasses.pp line 58

`public procedure TLCLComponent.RemoveAllHandlersOfObject(`
`AnObject: TObject`
`); virtual;`

## Arguments

`AnObject` |  | The object whose handlers shall be removed.

## Description

An override is required as soon as a component allows one to add notification handlers. Then all such handlers must be removed, when their owner (AnObject) is destroyed.